#include "MenuTextOk_Player2Joystick.h"

InputSetting_Joystick* MenuTextOk_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextOk_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_ok;
}

std::weak_ptr<Entity> MenuTextOk_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextOk_Player2Joystick()
{
	return std::make_shared<MenuTextOk_Player2Joystick>();
}

